# OE: conditional switches
#
#(ie. use with rpm --rebuild):
#
#	--with diet	Compile ripmime against dietlibc


%define build_diet 0

# commandline overrides:
# rpm -ba|--rebuild --with 'xxx'
%{?_with_diet: %{expand: %%define build_diet 1}}

%define	name	ripmime
%define	version	1.2.17.0
%define	release	1mdk

Summary:	Extracts attachments out of mailpack format emails.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Networking/Mail
URL:		http://www.pldaniels.com/ripmime/
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

%if %{build_diet}
BuildRequires: /usr/bin/diet
BuildRequires: dietlibc-devel >= 0.20-1mdk
%endif

%description
ripMIME is a small program which has been developed as part of the
commercial Xamime development (http://www.xamime.com).

ripMIME has been written with one sole purpose in mind, to extract
the attached files out of a MIME encoded email package.

%prep

%setup -q

%build

%if %{build_diet}
cat > build_tnef <<EOF
#!/bin/sh
cd tnef
make CC="diet gcc" CFLAGS="-Os -s -static -nostdinc"
EOF
make CC="diet gcc" CFLAGS="-Os -s -static -nostdinc"
%else
make CFLAGS="%{optflags}"
%endif

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
install -m755 %{name} %{buildroot}%{_bindir}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG CONTRIBUTORS INSTALL README LICENSE
%{_bindir}/*

%changelog
* Fri Feb 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.17.0-1mdk
- 1.2.17.0

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.16.21-2mdk
- build release

* Tue Nov 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.16.21-1mdk
- new version

* Wed Nov 06 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.16.19-1mdk
- new version

* Sat Oct 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.16.18-2mdk
- use spec file magic to enable compilation against dietlibc, use
  "rpm --rebuild --with diet ripmime-1.2.16.18-2mdk.src.rpm"

* Mon Oct 14 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.16.18-1mdk
- new version

* Sun Aug  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.16.16-2mdk
- rebuilt with gcc-3.2

* Sat Jun  1 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.16.16-1mdk
- new version

* Sun May 26 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.16.15-1mdk
- new version

* Sun May 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.16.12-1mdk
- new version
- rebuilt with gcc3.1

* Sun May 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.16.11-1mdk
- new version

* Sat Apr 20 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.16.7-1mdk
- new version

* Fri Apr  5 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.16.6-1mdk
- new version(, new lowercase name)
- spec file fix

* Tue Mar  5 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.16.4-1mdk
- initial cooker contrib

